summaryrefslogtreecommitdiffstats
path: root/testing/bcfg2/bcfg2-server.initd
diff options
context:
space:
mode:
authorCameron Banta <cbanta@gmail.com>2010-11-03 17:29:28 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-11-17 19:14:52 +0000
commitd59b90f4ed4379e90310feff25b9a6a937bfbb39 (patch)
tree714dabaaadfbb9d523c6a65f0dfa58a94c582c86 /testing/bcfg2/bcfg2-server.initd
parentf2ecdc70a8a521ce1deb1d5ea3273054f77aa076 (diff)
downloadaports-d59b90f4ed4379e90310feff25b9a6a937bfbb39.tar.bz2
aports-d59b90f4ed4379e90310feff25b9a6a937bfbb39.tar.xz
testing/bcfg2 new package
Diffstat (limited to 'testing/bcfg2/bcfg2-server.initd')
-rw-r--r--testing/bcfg2/bcfg2-server.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/testing/bcfg2/bcfg2-server.initd b/testing/bcfg2/bcfg2-server.initd
new file mode 100644
index 000000000..5168f7582
--- /dev/null
+++ b/testing/bcfg2/bcfg2-server.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+#
+# bcfgd - bcfg configuration daemon
+#
+#
+
+depend () {
+ need net
+}
+
+start () {
+ ebegin "Starting bcfg2-server"
+ start-stop-daemon --start --quiet --pidfile /var/run/bcfg2-server.pid \
+ --startas /usr/bin/bcfg2-server -- -D /var/run/bcfg2-server.pid
+ eend $? "Failed to start bcfg2-server"
+}
+
+stop () {
+ ebegin "Stopping bcfg2-server"
+ start-stop-daemon --stop --quiet --pidfile /var/run/bcfg2-server.pid \
+ --signal INT
+ eend $? "Failed to stop bcfg2-server"
+}